Package com.verisign.epp.codec.secdnsext.v11

## Class EPPSecDNSExtTst

- java.lang.Object
- - com.verisign.epp.codec.secdnsext.v11.EPPSecDNSExtTst

-     public class EPPSecDNSExtTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.secdnsxt package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.secdnsext package concrete `EPPSecDNSExt`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPSecDNSExtTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPSecDNSExtTst`.
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `void` | `testDomainCreate()` | Unit test of `EPPDomainCreateCmd` including secDNS extensions.
    `void` | `testDomainInfoRespWithSecDNSExt()` | Unit test of `testDomainInfoRespWithSecDNSExt`.
    `void` | `testDomainUpdate()` | Unit test of `EPPDomainUpdateCmd` including secDNS extensions.
    `void` | `testDsDataGeneration()` | Test the generation of DS data from the Key data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPSecDNSExtTst

          public EPPSecDNSExtTst()

  - ### Method Detail

    - #### testDomainInfoRespWithSecDNSExt

          public void testDomainInfoRespWithSecDNSExt()

      Unit test of `testDomainInfoRespWithSecDNSExt`. The response to `testDomainInfoRespWithSecDNSExt` is `EPPDomainInfoResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainCreate

          public void testDomainCreate()

      Unit test of `EPPDomainCreateCmd` including secDNS extensions. The response to `EPPDomainCreateCmd` is `EPPDomainCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainUpdate

          public void testDomainUpdate()

      Unit test of `EPPDomainUpdateCmd` including secDNS extensions. The response to `EPPDomainUpdateCmd` is `EPPResponse`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDsDataGeneration

          public void testDsDataGeneration()

      Test the generation of DS data from the Key data. The steps of the test includes:
      1. Create test key for example.com using RSASHA1.
      2. Generate SHA1 DS for test key and assert the DS attributes.
      3. Generate SHA256 DS for test key and assert the DS attributes.

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPSecDNSExtTst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test